Pricefx REST API Reference
- List All Lookup Tables
The Pricefx Backend API
Request
Retrieves all Company Parameter records for the specified Company Parameter table (LookupTable).
Export the table to the Excel file (XLSX) using the output=xls URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table.
Example:
{
"data":{
"criteria":[
],
"operator":"and"
},
"resultFields":[
"key1",
"key2",
"key3",
"attribute1",
"attribute2",
"attribute3"
],
"valueFields":[
]
}You can specify the start and end row to limit the number of retrieved records.
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.fetch/{tableId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/lookuptablemanager.fetch/{tableId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.fetch/{tableId}?output=xls&useColumnNames=false' \
-H 'Content-Type: application/json' \
-d '{
"endRow": 30,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact"
}'{ "response": { "status": 0, "startRow": 0, "node": "<node>", "csrfToken": "<token>", "data": [ … ], "endRow": 3 } }
Request
Retrieves all Lookup Tables / Company Parameter tables.
You can use this endpoint to retrieve the table ID. The tableId can be used in other endpoint URLs that work with Company Parameter Values. Find the table ID in the response under id parameter (e.g. "id": 2147484027).
- application/json
- application/xml
You can specify the start and end row to limit the number of retrieved Lookup Tables / Company Parameters.
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.fetch
- URL:https://companynode.pricefx.com/pricefx/companypartition/lookuptablemanager.fetch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- application/json
- application/xml
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.fetch \
-H 'Content-Type: application/json' \
-d '{
"endRow": 30,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "label",
"operator": "iEquals",
"value": "matrix"
}
]
},
"sortBy": [
"uniqueName"
]
}'{ "response": { "node": "<node>", "csrfToken": "<token>", "startRow": 0, "data": [ … ], "endRow": 2, "totalRows": 2, "status": 0 } }
Request
Creates a new LookupTable.
| Required Permission | Roles with the Required Permission |
|---|---|
| LOOKUPTABLE_ADD | Administer Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA) |
The request must contain all fields that are part of the business key for that object and all non-nullable fields.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.add
- URL:https://companynode.pricefx.com/pricefx/companypartition/lookuptablemanager.add
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.add \
-H 'Content-Type: application/json' \
-d '{
"data": {
"uniqueName": "pp01",
"label": "Price Parameter 001",
"validAfter": "2021-10-06",
"type": "MATRIX",
"valueType": "MATRIX",
"status": "ACTIVE",
"formatType": "MONEY_USD",
"userGroupEdit": "Administrators"
},
"operation": "add"
}'{ "response": { "node": "string", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments